using System.Threading.Tasks;

namespace Harmonia.WinUI.Storage;

public interface IStorageProvider
{
    public Task<string?> GetSingleFileAsync(FilePickerOptions? options = null);
    public Task<string[]> GetFilesAsync(FilePickerOptions? options = null);
    public Task<string?> GetPathAsync();
}